.\" Driver Access Library(3) (aka DAL) manpage
.\"
.\"
.\" +============================================+
.\" |  Author:          Yury Georgievskiy, CERN  |
.\" |  Creation date:   01.11.2004               |
.\" |  Current version: 20 (as of 07.07.2009)    |
.\" +============================================+
.\"
.TH DAL "3" "May 2007" "Driver Access Library" "DAL User's Manual"
.SH NAME
 1.
.B HANDLE DaEnableAccess(char*, METHOD, int, int);
.br
 2.
.B da_err_t DaDisableAccess(HANDLE);
.br
 3.
.B da_err_t DaSetDefAM(HANDLE, METHOD);
.br
 4.
.B METHOD DaGetDefAM(HANDLE);
.br
 5.
.B int DaGetNodeFd(HANDLE);
.br
 6.
.B int DaGetRegister(HANDLE, int, void*, int);
.br
 7.
.B int DaGetRegChunk(HANDLE, int, long, unsigned int, void*, int);
.br
 8.
.B int DaSetRegister(HANDLE, int, void*, int);
.br
 9.
.B int DaSetRegChunk(HANDLE, int, long, unsigned int, void*, int);
.br
10.
.B int DaGetRegDepth(HANDLE, int);
.br
11.
.B int DaGetRegSize(HANDLE, int);
.br
12.
.B int DaGetRegRep(HANDLE, int, int, int, void*, int);
.br
13.
.B int DaSetRegRep(HANDLE, int, int, int, void*, int);
.br
14.
.B ARIGHTS DaGetRegAccessRights(HANDLE, int);
.br
15.
.B char* DaGetRegName(HANDLE, int);
.br
16.
.B int DaDrvrVers(HANDLE, const char**, time_t*);
.br
17.
.B int DaLibVers(HANDLE, const char**, time_t*);
.br
18.
.B int DaDbgFlag(HANDLE, int, REGOPTYPE);
.br
19.
.B da_err_str_t* DaGetErrCode(da_err_t);
.sp
20.
.B DaUserEntryPoint - [ TODO ]
.SH SYNOPSIS
To compile src code for \fBLynxOs\fR with DAL one must add extra include path and libraries:
.sp
cc [flags..] files.. -I/acc/sys/$(CPU)/sys/include -ldal -ldrvrutil $(XTRALIBS) [libraries...]
.sp
To compile for \fBLinux\fR -- no extra libraries should be linked in.
.br
See appropriate function manpage for it's API description.
.SH DESCRIPTION
.PP
.B Driver Access Library (aka DAL)
provides user with API for accessing registers of VME module driver/simulator
on PPC LynxOS platforms with CES BSP. This library should be used rather than
direct \fIioctl\fR calls for register accessing as user should know nothing
exept the register name he wants to query. To be able to use this library,
driver/simulator should be installed in the system, using
.BR modinst
installation program that is generated automatically by the
.BR driverGen
utility (this library was also automatically produced by this utility).
.sp
\fIXTRALIBS\fR variable denotes the standart libraries that should be linked
with the program. It's defined in common autorule Makefile for LynxOS program
production which is \fI/ps/src/dsc/co/Make.common\fR.
.sp 0
As of 14.01.2008, \fBLynxOS ppc 4.0 - OWS 620\fR  \fIXTRALIBS\fR variable is
defined as: \fI-lvme -lbma -luio -lbus.\fR
.SH AUTHOR
Written by Yury Georgievskiy (ygeorgie (at) gmail.com)
.SH "REPORTING BUGS"
Report bugs to <Yury.Georgievskiy@cern.ch>
.SH "SEE ALSO"
.BR driverGen (8),
.BR modinst (8),
.BR moduninst (8),
.BR DaEnableAccess (3),
.BR DaDisableAccess (3),
.BR DaSetDefAM (3),
.BR DaGetDefAM (3),
.BR DaGetNodeFd (3),
.BR DaGetRegister (3),
.BR DaGetRegChunk (3),
.BR DaSetRegister (3),
.BR DaSetRegChunk (3),
.BR DaGetRegDepth (3),
.BR DaGetRegSize (3),
.BR DaGetRegRep (3),
.BR DaSetRegRep (3),
.BR DaGetRegAccessRights (3),
.BR DaGetRegName (3),
.BR DaDrvrVers (3),
.BR DaLibVers (3),
.BR DaDbgFlag (3),
.BR DaGetErrCode (3),
.BR DaUserEntryPoint (3)
